Skip to Content.
Sympa Menu

sm-commit - [SM-Commit] GIT changes to master cauldron by Karsten Behrmann (a356c8c028465007736218eb4ecbde1c603ddf37)

sm-commit AT lists.ibiblio.org

Subject: Source Mage code commit list

List archive

Chronological Thread  
  • From: Karsten Behrmann <scm AT sourcemage.org>
  • To: sm-commit AT lists.ibiblio.org
  • Subject: [SM-Commit] GIT changes to master cauldron by Karsten Behrmann (a356c8c028465007736218eb4ecbde1c603ddf37)
  • Date: Sat, 23 Feb 2008 09:15:39 -0600

GIT changes to master cauldron by Karsten Behrmann
<BearPerson AT sourcemage.org>:

iso/usr/bin/539 | 138
---------------------------------
iso/usr/bin/installer-help.sh | 5 -
iso/usr/sbin/smgl-chroot | 18 ----
iso/usr/share/smgl.install/keymap | 137
++++++++++++++++++++++++++++++++
iso/usr/share/smgl.install/smgl-chroot | 17 ++++
5 files changed, 156 insertions(+), 159 deletions(-)

New commits:
commit a356c8c028465007736218eb4ecbde1c603ddf37
Author: Karsten Behrmann <BearPerson AT sourcemage.org>
Commit: Karsten Behrmann <BearPerson AT sourcemage.org>

Add symlinks for executables in installer data dir

commit aa972a1b07e329e5a9f9b37128763a46ec645470
Author: Karsten Behrmann <BearPerson AT sourcemage.org>
Commit: Karsten Behrmann <BearPerson AT sourcemage.org>

move files back to installer data dir for better maintainability

commit 007162c8f8aebc21aac0ed7ea5a2786fb6f22a4d
Author: Karsten Behrmann <BearPerson AT sourcemage.org>
Commit: Karsten Behrmann <BearPerson AT sourcemage.org>

delete file that appears to serve no purpose anymore

diff --git a/iso/usr/bin/539 b/iso/usr/bin/539
deleted file mode 100755
index 8bec86f..ff30ed4
--- a/iso/usr/bin/539
+++ /dev/null
@@ -1,137 +0,0 @@
-#!/bin/bash
-
-PREFIX=/usr/share/keymaps
-CHOICES=
-MAX=
-INPUT=
-RESULT=1
-
-function prompt() {
- echo ""
- printf "\tPlease enter a number (0 to go back): "
- read INPUT
- if [[ -n $INPUT ]]
- then
- if [[ $INPUT -lt 0 || $INPUT -gt $MAX ]]
- then
- echo "Error: You must enter a number corresponding to one"
- echo "of the choices in the list above!"
- return 1
- fi
- else
- return 0
- fi
-}
-
-function make_list {
- local list
-
- #LIST=$(find $PREFIX/$LISTDIR/* -maxdepth 0 -type d -not -name include)
- list=( $(find $PREFIX/* -maxdepth 0 -type d -not -name include) )
- MAX=${#list[*]}
- if [[ $MAX = 0 ]]
- then
- #LIST=$(find $PREFIX/$LISTDIR/* -type f -name *.map.gz)
- list=( $(find $PREFIX/* -type f -name *.map.gz) )
- MAX=${#list[*]}
- fi
- for ((i=0; i < $MAX; i++))
- do
- CHOICES[$i]=${list[i]##*/}
- done
-}
-
-function print_dirs {
- echo ""
- for ((i=0; i < $MAX; i++))
- do
- printf "\t\t\t[%2d] %s\n" "$(($i + 1))" "${CHOICES[i]}"
- done | more
-}
-
-function print_files {
- echo ""
- for ((i=0; i < $MAX; i++))
- do
- #printf "[%2d] %s" "$i" "${CHOICES[i]%.map.gz}"
- #printf "%2d %s" "$i" "${CHOICES[i]%.map.gz}"
- printf "[%2d] %s\n" "$(($i + 1))" "${CHOICES[i]}"
- done | column | more
-}
-
-function print_list {
- if [[ $MAX -gt 20 ]]
- then
- print_files
- else
- print_dirs
- fi
-}
-
-function go_list {
- local rc=1
-
- make_list
- print_list
- while [[ $rc = 1 ]]
- do
- prompt
- rc="$?"
- done
- if [[ $INPUT = 0 ]]
- then
- if [[ $PREFIX != "/usr/share/keymaps" ]]
- then
- PREFIX=${PREFIX%/[^/]*}
- fi
- else
- (( INPUT -= 1 ))
- INPUT=${CHOICES[INPUT]}
- if [[ $INPUT == *.map.gz ]]
- then
- PREFIX="$PREFIX/$INPUT"
- if [[ $(loadkeys $PREFIX) ]]
- then
- # TODO: figure out what the user needs to enter in sysconfig/keymap
- echo "${prefix%.*map.*}" >/tmp/selected-keymap
- RESULT=0
- else
- RESULT=2
- fi
- else
- PREFIX="$PREFIX/$INPUT"
- fi
- fi
-}
-
-echo ""
-cat <<EOF
-Keymap selection menu.
-First, choose your keyboard's hardware type from the list below. Some
hardware
-types will also have a subtype, which will be presented in another menu.
-After you are done choosing your hardware type (and subtype), choose your
-preferred keymapping from the menu you are presented with. You may enter 0
-to go back to a previous menu.
-EOF
-
-while [[ $RESULT = "1" ]]
-do
- go_list
- #clear
-done
-
-if [[ $RESULT = "0" ]]
-then
- exit 0
-else
- exit 1
-fi
-
-#ls | sed 's/.map.gz$//' | nl -w 2 -s ' ' -nln | column | more
-
-#entries=( dummy $(echo * | sed -n 's/.k\?map\(.gz\)\?$//p') ); for((i=1;
-#i<${#entries[*]}; i++)) ;do printf "%2d %s" "$i" "${entries[i]}"; done |
-#column | more
-
-
-# vim:tabstop=2:softtabstop=2:shiftwidth=2:expandtab:ai
diff --git a/iso/usr/bin/539 b/iso/usr/bin/539
new file mode 120000
index 8bec86f..ff30ed4
--- /dev/null
+++ b/iso/usr/bin/539
@@ -0,0 +1 @@
+../share/smgl.install/keymap
\ No newline at end of file
diff --git a/iso/usr/bin/installer-help.sh b/iso/usr/bin/installer-help.sh
deleted file mode 100755
index d9a776a..0000000
--- a/iso/usr/bin/installer-help.sh
+++ /dev/null
@@ -1,5 +0,0 @@
-#!/bin/bash
-export HOME=/root
-export SHELL
-cd /
-exec /bin/bash -l
diff --git a/iso/usr/sbin/smgl-chroot b/iso/usr/sbin/smgl-chroot
deleted file mode 100755
index 717fcd9..c4f9b22
--- a/iso/usr/sbin/smgl-chroot
+++ /dev/null
@@ -1,17 +0,0 @@
-#!/bin/bash
-
-# Note: don't use --rbind: It creates several mounts, and we wouldn't be able
-# to figure out easily what to umount.
-mount --bind /dev /mnt/root/dev &&
-mount --bind /dev/pts /mnt/root/dev/pts &&
-mount --bind /proc /mnt/root/proc &&
-export PS1="[inside chroot, type exit to return to installer]\n\u
\w\$ " &&
-chroot /mnt/root "$@"
-rc=$?
-umount /mnt/root/proc
-umount /mnt/root/dev/pts
-umount /mnt/root/dev
-
-exit $rc
-
-# vim:sw=2:ts=2:softtabstop=2:expandtab:ai
diff --git a/iso/usr/sbin/smgl-chroot b/iso/usr/sbin/smgl-chroot
new file mode 120000
index 717fcd9..c4f9b22
--- /dev/null
+++ b/iso/usr/sbin/smgl-chroot
@@ -0,0 +1 @@
+../share/smgl.install/smgl-chroot
\ No newline at end of file
diff --git a/iso/usr/share/smgl.install/keymap
b/iso/usr/share/smgl.install/keymap
new file mode 100755
index 0000000..8bec86f
--- /dev/null
+++ b/iso/usr/share/smgl.install/keymap
@@ -0,0 +1,137 @@
+#!/bin/bash
+
+PREFIX=/usr/share/keymaps
+CHOICES=
+MAX=
+INPUT=
+RESULT=1
+
+function prompt() {
+ echo ""
+ printf "\tPlease enter a number (0 to go back): "
+ read INPUT
+ if [[ -n $INPUT ]]
+ then
+ if [[ $INPUT -lt 0 || $INPUT -gt $MAX ]]
+ then
+ echo "Error: You must enter a number corresponding to one"
+ echo "of the choices in the list above!"
+ return 1
+ fi
+ else
+ return 0
+ fi
+}
+
+function make_list {
+ local list
+
+ #LIST=$(find $PREFIX/$LISTDIR/* -maxdepth 0 -type d -not -name include)
+ list=( $(find $PREFIX/* -maxdepth 0 -type d -not -name include) )
+ MAX=${#list[*]}
+ if [[ $MAX = 0 ]]
+ then
+ #LIST=$(find $PREFIX/$LISTDIR/* -type f -name *.map.gz)
+ list=( $(find $PREFIX/* -type f -name *.map.gz) )
+ MAX=${#list[*]}
+ fi
+ for ((i=0; i < $MAX; i++))
+ do
+ CHOICES[$i]=${list[i]##*/}
+ done
+}
+
+function print_dirs {
+ echo ""
+ for ((i=0; i < $MAX; i++))
+ do
+ printf "\t\t\t[%2d] %s\n" "$(($i + 1))" "${CHOICES[i]}"
+ done | more
+}
+
+function print_files {
+ echo ""
+ for ((i=0; i < $MAX; i++))
+ do
+ #printf "[%2d] %s" "$i" "${CHOICES[i]%.map.gz}"
+ #printf "%2d %s" "$i" "${CHOICES[i]%.map.gz}"
+ printf "[%2d] %s\n" "$(($i + 1))" "${CHOICES[i]}"
+ done | column | more
+}
+
+function print_list {
+ if [[ $MAX -gt 20 ]]
+ then
+ print_files
+ else
+ print_dirs
+ fi
+}
+
+function go_list {
+ local rc=1
+
+ make_list
+ print_list
+ while [[ $rc = 1 ]]
+ do
+ prompt
+ rc="$?"
+ done
+ if [[ $INPUT = 0 ]]
+ then
+ if [[ $PREFIX != "/usr/share/keymaps" ]]
+ then
+ PREFIX=${PREFIX%/[^/]*}
+ fi
+ else
+ (( INPUT -= 1 ))
+ INPUT=${CHOICES[INPUT]}
+ if [[ $INPUT == *.map.gz ]]
+ then
+ PREFIX="$PREFIX/$INPUT"
+ if [[ $(loadkeys $PREFIX) ]]
+ then
+ # TODO: figure out what the user needs to enter in sysconfig/keymap
+ echo "${prefix%.*map.*}" >/tmp/selected-keymap
+ RESULT=0
+ else
+ RESULT=2
+ fi
+ else
+ PREFIX="$PREFIX/$INPUT"
+ fi
+ fi
+}
+
+echo ""
+cat <<EOF
+Keymap selection menu.
+First, choose your keyboard's hardware type from the list below. Some
hardware
+types will also have a subtype, which will be presented in another menu.
+After you are done choosing your hardware type (and subtype), choose your
+preferred keymapping from the menu you are presented with. You may enter 0
+to go back to a previous menu.
+EOF
+
+while [[ $RESULT = "1" ]]
+do
+ go_list
+ #clear
+done
+
+if [[ $RESULT = "0" ]]
+then
+ exit 0
+else
+ exit 1
+fi
+
+#ls | sed 's/.map.gz$//' | nl -w 2 -s ' ' -nln | column | more
+
+#entries=( dummy $(echo * | sed -n 's/.k\?map\(.gz\)\?$//p') ); for((i=1;
+#i<${#entries[*]}; i++)) ;do printf "%2d %s" "$i" "${entries[i]}"; done |
+#column | more
+
+
+# vim:tabstop=2:softtabstop=2:shiftwidth=2:expandtab:ai
diff --git a/iso/usr/share/smgl.install/smgl-chroot
b/iso/usr/share/smgl.install/smgl-chroot
new file mode 100755
index 0000000..717fcd9
--- /dev/null
+++ b/iso/usr/share/smgl.install/smgl-chroot
@@ -0,0 +1,17 @@
+#!/bin/bash
+
+# Note: don't use --rbind: It creates several mounts, and we wouldn't be able
+# to figure out easily what to umount.
+mount --bind /dev /mnt/root/dev &&
+mount --bind /dev/pts /mnt/root/dev/pts &&
+mount --bind /proc /mnt/root/proc &&
+export PS1="[inside chroot, type exit to return to installer]\n\u
\w\$ " &&
+chroot /mnt/root "$@"
+rc=$?
+umount /mnt/root/proc
+umount /mnt/root/dev/pts
+umount /mnt/root/dev
+
+exit $rc
+
+# vim:sw=2:ts=2:softtabstop=2:expandtab:ai



  • [SM-Commit] GIT changes to master cauldron by Karsten Behrmann (a356c8c028465007736218eb4ecbde1c603ddf37), Karsten Behrmann, 02/23/2008

Archive powered by MHonArc 2.6.24.

Top of Page